{"openapi":"3.0.1","info":{"title":"Notify API","description":"Notify API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://notify-staging.satse.dev","description":"Generated server url"}],"paths":{"/api/user-infos/{id}":{"get":{"tags":["user-info-resource"],"operationId":"getUserInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}},"put":{"tags":["user-info-resource"],"operationId":"updateUserInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}},"delete":{"tags":["user-info-resource"],"operationId":"deleteUserInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["user-info-resource"],"operationId":"partialUpdateUserInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}},"/api/os-players/{id}":{"get":{"tags":["os-player-resource"],"operationId":"getOSPlayer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}}}}},"put":{"tags":["os-player-resource"],"operationId":"updateOSPlayer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}}}}},"patch":{"tags":["os-player-resource"],"operationId":"partialUpdateOSPlayer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}}}}}},"/api/notifications/{id}":{"get":{"tags":["notification-resource"],"operationId":"getNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}},"put":{"tags":["notification-resource"],"operationId":"updateNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}},"delete":{"tags":["notification-resource"],"operationId":"deleteNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-resource"],"operationId":"partialUpdateNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"/api/notifications/{id}/read/{read}":{"put":{"tags":["notification-resource"],"operationId":"updateReadNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"read","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/remote-update":{"put":{"tags":["notification-resource"],"operationId":"remotePartialUpdateNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoteNotificationUpdate"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/notifications/popup/read/{id}":{"put":{"tags":["notification-resource"],"operationId":"updateNotification_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notification-templates/{id}":{"get":{"tags":["notification-template-resource"],"operationId":"getNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}},"put":{"tags":["notification-template-resource"],"operationId":"updateNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}},"delete":{"tags":["notification-template-resource"],"operationId":"deleteNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-template-resource"],"operationId":"partialUpdateNotificationTemplate","parameters":[{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"/api/notification-pushes/{id}":{"get":{"tags":["notification-push-resource"],"operationId":"getNotificationPush","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}}}}},"put":{"tags":["notification-push-resource"],"operationId":"updateNotificationPush","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}}}}},"delete":{"tags":["notification-push-resource"],"operationId":"deleteNotificationPush","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-push-resource"],"operationId":"partialUpdateNotificationPush","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}}}}}},"/api/notification-purpose-templates/{id}":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"getNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}},"put":{"tags":["notification-purpose-template-resource"],"operationId":"updateNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}},"delete":{"tags":["notification-purpose-template-resource"],"operationId":"deleteNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-purpose-template-resource"],"operationId":"partialUpdateNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}}},"/api/filters-templates/{id}":{"get":{"tags":["filters-template-resource"],"operationId":"getFiltersTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}}}}},"put":{"tags":["filters-template-resource"],"operationId":"updateFiltersTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}}}}},"delete":{"tags":["filters-template-resource"],"operationId":"deleteFiltersTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["filters-template-resource"],"operationId":"partialUpdateFiltersTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}}}}}},"/api/user-infos":{"get":{"tags":["user-info-resource"],"operationId":"getAllUserInfos","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/UserInfoCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}},"post":{"tags":["user-info-resource"],"operationId":"createUserInfo","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}},"/api/user-infos/update-last-visited-mailbox":{"post":{"tags":["user-info-resource"],"operationId":"updateLastVisitedMailbox","requestBody":{"content":{"application/json":{"schema":{"type":"string","format":"date-time"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserInfoDTO"}}}}}}},"/api/os-players":{"get":{"tags":["os-player-resource"],"operationId":"getAllOSPlayers","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/OSPlayerCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OSPlayerDTO"}}}}}}},"post":{"tags":["os-player-resource"],"operationId":"createOSPlayer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OSPlayerDTO"}}}}}}},"/api/notify-kafka/publish/{topic}":{"post":{"tags":["notify-kafka-resource"],"operationId":"publish","parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string"}},{"name":"message","in":"query","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublishResult"}}}}}}},"/api/notifications":{"get":{"tags":["notification-resource"],"operationId":"getAllNotifications","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"post":{"tags":["notification-resource"],"operationId":"createNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"/api/notifications/send_push_test":{"post":{"tags":["notification-resource"],"operationId":"sendPushNotificationTest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}}},"responses":{"200":{"description":"OK"}}}},"/api/notifications/send_push":{"post":{"tags":["notification-resource"],"operationId":"sendPushNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/notifications/send":{"post":{"tags":["notification-resource"],"operationId":"sendNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/notification-templates":{"get":{"tags":["notification-template-resource"],"operationId":"getAllNotificationTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationTemplateCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"post":{"tags":["notification-template-resource"],"operationId":"createNotificationTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"/api/notification-pushes":{"get":{"tags":["notification-push-resource"],"operationId":"getAllNotificationPushes","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationPushCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPushDTO"}}}}}}},"post":{"tags":["notification-push-resource"],"operationId":"createNotificationPush","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPushDTO"}}}}}}},"/api/notification-purpose-templates":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"getAllNotificationPurposeTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}}},"post":{"tags":["notification-purpose-template-resource"],"operationId":"createNotificationPurposeTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}}},"/api/filters-templates":{"get":{"tags":["filters-template-resource"],"operationId":"getAllFiltersTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/FiltersTemplateCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}}}}}},"post":{"tags":["filters-template-resource"],"operationId":"createFiltersTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FiltersTemplateDTO"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/user-infos/count":{"get":{"tags":["user-info-resource"],"operationId":"countUserInfos","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/UserInfoCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/os-players/count":{"get":{"tags":["os-player-resource"],"operationId":"countOSPlayers","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/OSPlayerCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/notify-kafka/consume":{"get":{"tags":["notify-kafka-resource"],"operationId":"consume","parameters":[{"name":"topic","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"consumerParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SseEmitter"}}}}}}},"/api/notifications/pwa":{"get":{"tags":["notification-resource"],"operationId":"getAllNotificationsPwa","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPwaDTO"}}}}}}}},"/api/notifications/popups-test":{"get":{"tags":["notification-resource"],"operationId":"getAllNotificationsPopupsTest","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPopupDTO"}}}}}}}},"/api/notifications/my-popups":{"get":{"tags":["notification-resource"],"operationId":"getAllNotificationsPopups","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPopupDTO"}}}}}}}},"/api/notifications/exist-my-pwa-notifications":{"get":{"tags":["notification-resource"],"operationId":"existMyPwaNotifications","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/count":{"get":{"tags":["notification-resource"],"operationId":"countNotifications","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/notification-templates/default":{"get":{"tags":["notification-template-resource"],"operationId":"getAllByNameAndPfkTypeItIsDefaultTemplate","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationTemplateCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}}},"/api/notification-templates/count":{"get":{"tags":["notification-template-resource"],"operationId":"countNotificationTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationTemplateCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/notification-pushes/count":{"get":{"tags":["notification-push-resource"],"operationId":"countNotificationPushes","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationPushCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/notification-purpose-templates/count":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"countNotificationPurposeTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/filters-templates/count":{"get":{"tags":["filters-template-resource"],"operationId":"countFiltersTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/FiltersTemplateCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/admin/users":{"get":{"tags":["user-resource"],"operationId":"getAllUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}}},"/api/admin/users/{login}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"login","in":"path","required":true,"schema":{"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}},"/api/_search/users/{query}":{"get":{"tags":["public-user-resource"],"operationId":"search","parameters":[{"name":"query","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/_search/notifications":{"get":{"tags":["notification-resource"],"operationId":"searchNotifications","parameters":[{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}}},"/api/_search/notification-templates":{"get":{"tags":["notification-template-resource"],"operationId":"searchNotificationTemplates","parameters":[{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}}},"/api/_search/notification-purpose-templates":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"searchNotificationPurposeTemplates","parameters":[{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}}}},"/api/os-players/{playerId}":{"delete":{"tags":["os-player-resource"],"operationId":"deleteOSPlayerByPlayerId","parameters":[{"name":"playerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/os-players/document-id/{documentId}":{"delete":{"tags":["os-player-resource"],"operationId":"deleteAllOSPlayerByDocumentId","parameters":[{"name":"documentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/notifications/remote/{notificationGroupId}":{"delete":{"tags":["notification-resource"],"operationId":"remoteDeleteNotification","parameters":[{"name":"notificationGroupId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"UserInfoDTO":{"required":["documentId"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"documentId":{"type":"string"},"lastVisitedNotifyMailbox":{"type":"string","format":"date-time"}}},"OSPlayerDTO":{"required":["documentId","playerId"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"playerId":{"type":"string"},"documentId":{"type":"string"},"status":{"type":"string"}}},"EntityLocalizationDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"id":{"type":"integer","format":"int64"},"pfkValue":{"type":"integer","description":"pseudo foreign key value for localized entity.\nThere is no \"standard\" SQL relationship, but a \"manually-handled\" denormalized one","format":"int64"},"refEntityName":{"type":"string","enum":["NOTIFICATION","NOTIFICATIONPOPUP","NOTIFICATIONPWA","NOTIFICATIONPUSH","NOTIFICATIONTEMPLATE","NOTIFICATION_GROUP"]},"fieldName":{"type":"string"},"locale":{"type":"string"},"localizedContent":{"maxLength":20000,"minLength":0,"type":"string"}},"description":"Entity to localize (not just translate) field values for different\nentities within data model. Contains a reference to each localized\nentity, its name, field and localized value for a given locale.\nAll operations need to be manually-handled, as DB won't naturally do it"},"NotificationDTO":{"required":["personFullName","personId"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"id":{"type":"integer","format":"int64"},"read":{"type":"boolean"},"personFullName":{"type":"string"},"personId":{"type":"integer","format":"int64"},"pfkValue":{"type":"integer","format":"int64"},"refEntityName":{"type":"string"},"subject":{"type":"string"},"fromName":{"type":"string"},"fromAddress":{"type":"string"},"replyToAddress":{"type":"string"},"ccAddress":{"type":"string"},"bccAddress":{"type":"string"},"content":{"type":"string"},"status":{"type":"string","enum":["CREATED","DELETED"]},"editionStatus":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]},"type":{"type":"string","enum":["EMAIL","PWA","POPUP"]},"personEmail":{"type":"string"},"documentId":{"type":"string"},"date":{"type":"string","format":"date-time"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"labelLink":{"maxLength":50,"minLength":0,"type":"string"},"urlLink":{"type":"string"},"urlImage":{"type":"string"},"footer":{"maxLength":50,"minLength":0,"type":"string"},"notificationGroupId":{"type":"integer","format":"int64"},"notificationTemplate":{"$ref":"#/components/schemas/NotificationTemplateDTO"},"info":{"type":"object","additionalProperties":{"type":"string"}}}},"NotificationPurposeTemplateDTO":{"required":["name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"NotificationTemplateDTO":{"required":["type"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["EMAIL","PWA","POPUP"]},"pfkValue":{"type":"integer","format":"int64"},"pfkName":{"type":"string"},"refEntityName":{"type":"string"},"subject":{"type":"string"},"fromName":{"type":"string"},"fromAddress":{"type":"string"},"replyToAddress":{"type":"string"},"ccAddress":{"type":"string"},"bccAddress":{"type":"string"},"content":{"type":"string"},"defaultTemplate":{"type":"boolean"},"pfkType":{"type":"string"},"notificationPurposeTemplate":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"},"status":{"type":"string","enum":["ACTIVE","DEACTIVE"]}}},"CreateNotificationDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"companyName":{"type":"string"},"companyId":{"type":"integer","format":"int64"},"pfkType":{"type":"string"},"maxProductNumberByUser":{"type":"integer","format":"int32"},"productPrice":{"type":"number"},"documentId":{"type":"string"},"personId":{"type":"integer","format":"int64"},"personFullName":{"type":"string"},"personEmail":{"type":"string"},"affiliationNumber":{"type":"string"},"addresseeEmail":{"type":"string"},"username":{"type":"string"},"password":{"type":"string"},"url":{"type":"string"},"provinceWithShortNews":{"type":"array","items":{"$ref":"#/components/schemas/ProvinceWithShortNewsLtDTO"}},"timePreference":{"type":"string","enum":["MORNING","AFTERNOON"]},"eventId":{"type":"integer","format":"int64"},"eventTitle":{"type":"string"},"ticketsCodes":{"type":"array","items":{"type":"string"}},"notificationPurposeId":{"type":"integer","format":"int64"},"notificationPurposeName":{"type":"string"},"notificationGroupId":{"type":"integer","format":"int64"},"subject":{"type":"string"},"content":{"type":"string"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"file":{"type":"string","format":"binary"},"editionStatus":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]},"fileBytes":{"type":"array","items":{"type":"string","format":"byte"}},"fileName":{"type":"string"},"files":{"type":"array","items":{"$ref":"#/components/schemas/SatseFileDTO"}},"auxiliaryTexts":{"type":"object","additionalProperties":{"type":"string"}},"currentLocale":{"type":"string"},"emailNotificationOn":{"type":"boolean"},"refEntityName":{"type":"string"}}},"ProvinceWithShortNewsLtDTO":{"type":"object","properties":{"provinceName":{"type":"string"},"shortnews":{"type":"array","items":{"$ref":"#/components/schemas/ShortNewsLtDTO"}}}},"RemoteNotificationUpdate":{"type":"object","properties":{"createNotificationDTOList":{"type":"array","items":{"$ref":"#/components/schemas/CreateNotificationDTO"}}}},"SatseFileDTO":{"type":"object","properties":{"filename":{"type":"string"},"path":{"type":"string"}}},"ShortNewsLtDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"text":{"type":"string"},"authorFullName":{"type":"string"},"publishedAt":{"type":"string"}}},"JsonNode":{"type":"object"},"NotificationPushDTO":{"required":["message"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"subtitle":{"type":"string"},"message":{"type":"string"},"launchUrl":{"type":"string"},"sendAfter":{"type":"string","format":"date-time"},"name":{"type":"string"},"filters":{"$ref":"#/components/schemas/JsonNode"},"status":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]},"segment":{"type":"string","enum":["SUBSCRIBED_USERS","SCOPE"]}}},"FiltersTemplateDTO":{"required":["filters","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"filters":{"$ref":"#/components/schemas/JsonNode"}}},"PublishResult":{"type":"object","properties":{"topic":{"type":"string"},"partition":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"},"timestamp":{"type":"string","format":"date-time"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"LongFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int64"},"notEquals":{"type":"integer","format":"int64"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int64"}},"notIn":{"type":"array","items":{"type":"integer","format":"int64"}},"greaterThan":{"type":"integer","format":"int64"},"lessThan":{"type":"integer","format":"int64"},"greaterThanOrEqual":{"type":"integer","format":"int64"},"lessThanOrEqual":{"type":"integer","format":"int64"}}},"StringFilter":{"type":"object","properties":{"equals":{"type":"string"},"notEquals":{"type":"string"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string"}},"notIn":{"type":"array","items":{"type":"string"}},"contains":{"type":"string"},"doesNotContain":{"type":"string"}}},"UserInfoCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"documentId":{"$ref":"#/components/schemas/StringFilter"},"lastVisitedNotifyMailbox":{"$ref":"#/components/schemas/ZonedDateTimeFilter"},"distinct":{"type":"boolean"}}},"ZonedDateTimeFilter":{"type":"object","properties":{"equals":{"type":"string","format":"date-time"},"notEquals":{"type":"string","format":"date-time"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","format":"date-time"}},"notIn":{"type":"array","items":{"type":"string","format":"date-time"}},"greaterThan":{"type":"string","format":"date-time"},"lessThan":{"type":"string","format":"date-time"},"greaterThanOrEqual":{"type":"string","format":"date-time"},"lessThanOrEqual":{"type":"string","format":"date-time"}}},"OSPlayerCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"playerId":{"$ref":"#/components/schemas/StringFilter"},"documentId":{"$ref":"#/components/schemas/StringFilter"},"status":{"$ref":"#/components/schemas/StringFilter"},"distinct":{"type":"boolean"}}},"SseEmitter":{"type":"object","properties":{"timeout":{"type":"integer","format":"int64"}}},"BooleanFilter":{"type":"object","properties":{"equals":{"type":"boolean"},"notEquals":{"type":"boolean"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"boolean"}},"notIn":{"type":"array","items":{"type":"boolean"}}}},"NotificationCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"read":{"$ref":"#/components/schemas/BooleanFilter"},"personFullName":{"$ref":"#/components/schemas/StringFilter"},"subjectOrContent":{"$ref":"#/components/schemas/StringFilter"},"personId":{"$ref":"#/components/schemas/LongFilter"},"pfkValue":{"$ref":"#/components/schemas/LongFilter"},"refEntityName":{"$ref":"#/components/schemas/StringFilter"},"subject":{"$ref":"#/components/schemas/StringFilter"},"fromName":{"$ref":"#/components/schemas/StringFilter"},"fromAddress":{"$ref":"#/components/schemas/StringFilter"},"replyToAddress":{"$ref":"#/components/schemas/StringFilter"},"ccAddress":{"$ref":"#/components/schemas/StringFilter"},"bccAddress":{"$ref":"#/components/schemas/StringFilter"},"content":{"$ref":"#/components/schemas/StringFilter"},"status":{"$ref":"#/components/schemas/NotificationStatusTypeFilter"},"type":{"$ref":"#/components/schemas/NotificationTemplateTypeFilter"},"personEmail":{"$ref":"#/components/schemas/StringFilter"},"documentId":{"$ref":"#/components/schemas/StringFilter"},"date":{"$ref":"#/components/schemas/ZonedDateTimeFilter"},"startDate":{"$ref":"#/components/schemas/ZonedDateTimeFilter"},"endDate":{"$ref":"#/components/schemas/ZonedDateTimeFilter"},"labelLink":{"$ref":"#/components/schemas/StringFilter"},"urlLink":{"$ref":"#/components/schemas/StringFilter"},"urlImage":{"$ref":"#/components/schemas/StringFilter"},"notificationGroupId":{"$ref":"#/components/schemas/LongFilter"},"notificationTemplateId":{"$ref":"#/components/schemas/LongFilter"},"distinct":{"type":"boolean"}}},"NotificationStatusTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["CREATED","DELETED"]},"notEquals":{"type":"string","enum":["CREATED","DELETED"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["CREATED","DELETED"]}},"notIn":{"type":"array","items":{"type":"string","enum":["CREATED","DELETED"]}}}},"NotificationTemplateTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["EMAIL","PWA","POPUP"]},"notEquals":{"type":"string","enum":["EMAIL","PWA","POPUP"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["EMAIL","PWA","POPUP"]}},"notIn":{"type":"array","items":{"type":"string","enum":["EMAIL","PWA","POPUP"]}}}},"NotificationPwaDTO":{"required":["date"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"id":{"type":"integer","format":"int64"},"date":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["EMAIL","PWA","POPUP"]},"subject":{"type":"string"},"content":{"type":"string"},"read":{"type":"boolean"},"info":{"type":"object","additionalProperties":{"type":"string"}}}},"NotificationPopupDTO":{"required":["date"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"version":{"type":"integer","format":"int64"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"id":{"type":"integer","format":"int64"},"date":{"type":"string","format":"date-time"},"title":{"type":"string"},"description":{"type":"string"},"urlImage":{"type":"string"},"urlLink":{"type":"string"},"labelLink":{"type":"string"},"footer":{"type":"string"}}},"NotificationTemplateCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"type":{"$ref":"#/components/schemas/NotificationTemplateTypeFilter"},"statusFilter":{"$ref":"#/components/schemas/NotificationTemplateStatusFilter"},"pfkValue":{"$ref":"#/components/schemas/LongFilter"},"pfkName":{"$ref":"#/components/schemas/StringFilter"},"refEntityName":{"$ref":"#/components/schemas/StringFilter"},"subject":{"$ref":"#/components/schemas/StringFilter"},"fromName":{"$ref":"#/components/schemas/StringFilter"},"fromAddress":{"$ref":"#/components/schemas/StringFilter"},"replyToAddress":{"$ref":"#/components/schemas/StringFilter"},"ccAddress":{"$ref":"#/components/schemas/StringFilter"},"bccAddress":{"$ref":"#/components/schemas/StringFilter"},"content":{"$ref":"#/components/schemas/StringFilter"},"defaultTemplate":{"$ref":"#/components/schemas/BooleanFilter"},"pfkType":{"$ref":"#/components/schemas/StringFilter"},"notificationPurposeTemplateId":{"$ref":"#/components/schemas/LongFilter"},"distinct":{"type":"boolean"}}},"NotificationTemplateStatusFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["ACTIVE","DEACTIVE"]},"notEquals":{"type":"string","enum":["ACTIVE","DEACTIVE"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["ACTIVE","DEACTIVE"]}},"notIn":{"type":"array","items":{"type":"string","enum":["ACTIVE","DEACTIVE"]}}}},"EditionStatusFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]},"notEquals":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]}},"notIn":{"type":"array","items":{"type":"string","enum":["DRAFTED","PUBLISHED","ARCHIVED","DISCARDED"]}}}},"NotificationPushCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"title":{"$ref":"#/components/schemas/StringFilter"},"subtitle":{"$ref":"#/components/schemas/StringFilter"},"message":{"$ref":"#/components/schemas/StringFilter"},"launchUrl":{"$ref":"#/components/schemas/StringFilter"},"sendAfter":{"$ref":"#/components/schemas/ZonedDateTimeFilter"},"name":{"$ref":"#/components/schemas/StringFilter"},"status":{"$ref":"#/components/schemas/EditionStatusFilter"},"distinct":{"type":"boolean"}}},"NotificationPurposeTemplateCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"name":{"$ref":"#/components/schemas/StringFilter"},"distinct":{"type":"boolean"}}},"FiltersTemplateCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"name":{"$ref":"#/components/schemas/StringFilter"},"distinct":{"type":"boolean"}}},"AdminUserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"string"},"login":{"maxLength":50,"minLength":1,"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":10,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}}}}}